package jpa.test.annotation.inheritance;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.DiscriminatorValue;
import javax.persistence.Id;
import javax.persistence.Inheritance;
import javax.persistence.InheritanceType;
import javax.persistence.Table;

@Entity
@Table(name="InheritanceTestTable_001_1")
@Inheritance(strategy=InheritanceType.JOINED)
@DiscriminatorValue("BaseData")
public class BaseEntityCalss
{
    @Id
    public String id;

    @Column(name="detail")
    public String superClassData;
}
